#!/bin/sh

###################################
# MAIN
###################################
if [ $# -ne 4 ]; then
    echo "Error[postCLI.sh]: - invalid parameter"
    exit 1
fi
DESTDIR=$1
DESTHOMEDIR=$2
DESTUSER=$3
DESTGROUP=$4
SAMPLE_CONFFILE=$DESTDIR/conf/ermmcli.conf.smp
CONFFILE=".ermmcli.conf"
if [ -d $DESTHOMEDIR ] && [ ! -f $DESTHOMEDIR/$CONFFILE ]; then
    sed -e 's/#password=/password=ncc1701d/' $SAMPLE_CONFFILE > $DESTHOMEDIR/$CONFFILE
    chmod 600 $DESTHOMEDIR/$CONFFILE
    chown $DESTUSER $DESTHOMEDIR/$CONFFILE
    chgrp $DESTGROUP $DESTHOMEDIR/$CONFFILE
fi
exit 0
