#!/bin/sh
cartgroup="Relabel"
failedcartgroup="RelabelFailed"
drivegroup="Relabel"
drivename="3592-3-258"
libname="3592-3"
devfile="/dev/IBMtape5"
scratchgroup="RelabelScratch"
app="Relabelling"
ai="RelabellingInst"
cmd="sudo -u ermm /opt/IBM/ermm/bin/ermmtool -c $app -i $ai"
labelcmd="/opt/IBM/ermm/client/tsm/tsmlabel"

for i in `$cmd lscart -group Relabel -lib $libname -hdr off | cut -f1 -d' '`; do
    volser=`echo $i | cut -b 1-6`
    echo "$cmd mount -pcl $i"
    $cmd mount -pcl $i
    if [ $? -eq 0 ]; then
	echo "$labelcmd -f $devfile -w $volser"
	$labelcmd -f $devfile -w $volser
	if [ $? -eq 0 ]; then
	    echo "$cmd unmount -d $drivename"
	    $cmd unmount -d $drivename
	    if [ $? -ne 0 ]; then
		echo "fatal error at unmount operation"
		exit 1
	    else
		echo "$cmd chcart -group $scratchgroup $i"
		$cmd chcart -group $scratchgroup $i
	    fi
	else
	    echo "$cmd chcart -group $failedcartgroup $i"
	    $cmd chcart -group $failedcartgroup $i
            echo "$cmd unmount -d $drivename"
            $cmd unmount -d $drivename
	fi
    else
	echo "fatal error at mount operation"
	exit 1
    fi
done
